/* -*- Mode: C; c-file-style: "stroustrup"; -*- */
#ifndef __XY_CONTROL_POINT_H__
#define __XY_CONTROL_POINT_H__

#include <glib-object.h>


#define XY_CONTROL_POINT(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object),\
				xy_control_point_get_type(), XYControlPoint))

#define XY_CONTROL_POINT_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST ((klass),\
				xy_control_point_get_type(), XYControlPointClass))

#define XY_IS_CONTROL_POINT(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object),\
				xy_control_point_get_type()))

#define XY_IS_CONTROL_POINT_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass),\
				xy_control_point_get_type()))

#define XY_CONTROL_POINT_GET_CLASS(object)  (G_TYPE_INSTANCE_GET_CLASS ((object),\
				xy_control_point_get_type(), XYControlPointClass))

#define XY_CONTROL_POINT_TYPE(object)       (G_TYPE_FROM_INSTANCE (object))
#define XY_CONTROL_POINT_TYPE_NAME(object)  (g_type_name (XY_CONTROL_POINT_TYPE (object)))
#define XY_CONTROL_POINT_CLASS_TYPE(klass)  (G_TYPE_FROM_CLASS (klass))
#define XY_CONTROL_POINT_CLASS_NAME(klass)  (g_type_name (XY_CONTROL_POINT_CLASS_TYPE (klass)))

#define XY_TYPE_CONTROL_POINT    (xy_control_point_get_type())


typedef struct _XYControlPoint XYControlPoint;
typedef struct _XYControlPointClass XYControlPointClass;


#include "nxpcanvasoverlay.h"


struct _XYControlPoint
{
    NxpCanvasOverlay overlay;
    gint x;
    gint y;
};


struct _XYControlPointClass
{
    NxpCanvasOverlayClass base;
};


GType             xy_control_point_get_type (void);
NxpCanvasOverlay* xy_control_point_new      (gint x,
                                             gint y,
                                             gint size);

#endif /* __XY_CONTROL_POINT_H__ */
